;;;; slib-compat.scm  -*- scheme -*-
;;;; Kon Lovett, Apr '20

(declare (bound-to-procedure ##sys#signal-hook))

(module slib-compat

(;export
  ;chicken base
  let-values identity
  ;chicken port
  call-with-input-string
  call-with-output-string
  ;chicken pretty-print
  pretty-print
  ;srfi 1
  every last-pair
  ;
  mod
  cleanup-handlers!
  find-if remove-if
  last
  force-output
  software-type
  output-port-width
  output-port-height
  provided? require require-if
  nconc
  print-call-stack
  slib:warn slib:error
  slib:tab
  slib:form-feed
  ;jacal
  math:error math:warn math:exit)

(import scheme (only (chicken base) include-relative))

(include-relative "slib-compat")

) ;module slib-compat
